rwtime-nd(8)

NAME
rwtime-nd - summarize syscall read() and write() times. Uses Linux SystemTap (non-debuginfo).

SYNOPSIS
rwtime-nd.stp [execname]

DESCRIPTION
This traces read() and write() syscalls, producing a histogram summary of their durations (aka latencies).

REQUIREMENTS
SystemTap.

OPTIONS

execname
    An optional argument to specify the process name to trace. All PIDs with this process name will be observed.

EXAMPLES

Trace all syscall read()s and write()s, showing latency summaries:
    # rwtime-nd.stp

Trace all syscall read()s and write()s for processes named "node":
    rwtime-nd.stp node

OVERHEAD
While these syscalls are frequent, the overhead should be low as this uses in-kernel summaries. Test before use to confirm.

SOURCE
This is from the SystemTap lwtools collection.

    https://github.com/brendangregg/systemtap-lwtools

Also look under the examples directory for a text file containing example usage, output, and commentary for this tool.

OS
Linux

STABILITY
Unstable - in development.

AUTHOR
Brendan Gregg

SEE ALSO
strace(1)